Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.rmi
Interface RMIAdaptor

All Superinterfaces:
  javax.management.MBeanServerConnection, Remote

public interface RMIAdaptor
extends Remote, javax.management.MBeanServerConnection

RMI Interface for the server side Connector which is nearly the same as the MBeanServer Interface but has an additional RemoteException.

Version:
  `$Revision: 1.6 $`
Author:
  Rickard �berg, Andreas "Mad" Schaefer, Jason Dillon

Method Summary
`void` | `addNotificationListener(javax.management.ObjectName name, RMINotificationListener listener, javax.management.NotificationFilter filter, Object handback)`
`void` | `removeNotificationListener(javax.management.ObjectName name, RMINotificationListener listener)`

Methods inherited from interface javax.management.MBeanServerConnection
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, getAttribute, getAttributes, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName name,
                                        RMINotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        Object handback)
                                 throws javax.management.InstanceNotFoundException,
                                        RemoteException

  Parameters:
    `name` -
    `listener` -
    `filter` -
    `handback` -
  Throws:
    `javax.management.InstanceNotFoundException`
    `RemoteException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName name,
                                           RMINotificationListener listener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           RemoteException

  Parameters:
    `name` -
    `listener` -
  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.